/**
 * EntityClassNonPersonLivingSubject.java
 *
 * File generated from the medication::EntityClassNonPersonLivingSubject uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration EntityClassNonPersonLivingSubject.
 *
 * 
 */

@XmlType(name = "EntityClassNonPersonLivingSubject")
@XmlEnum
@XmlRootElement(name = "EntityClassNonPersonLivingSubject")
public enum EntityClassNonPersonLivingSubject {
	@XmlEnumValue("NLIV")
	NLIV("NLIV"),
	@XmlEnumValue("ANM")
	ANM("ANM"),
	@XmlEnumValue("MIC")
	MIC("MIC"),
	@XmlEnumValue("PLNT")
	PLNT("PLNT");
	
	private final String value;

    EntityClassNonPersonLivingSubject(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static EntityClassNonPersonLivingSubject fromValue(String v) {
        for (EntityClassNonPersonLivingSubject c: EntityClassNonPersonLivingSubject.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}